> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List claims



## OpenAPI

````yaml /openapi.json get /claims
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /claims:
    get:
      tags:
        - claims
      summary: List claims
      operationId: ClaimsController_list
      parameters:
        - name: pageInfo
          required: false
          in: query
          description: the page info
          schema:
            $ref: '#/components/schemas/PageInfo'
        - name: order
          required: false
          in: query
          description: the sort options
          schema:
            $ref: '#/components/schemas/OrderDto'
        - name: metadata
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/MetadataSearch'
        - name: externalId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListClaimsOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MissingTenantErrorDto'
              examples:
                MISSING_TENANT:
                  $ref: '#/components/schemas/MissingTenantErrorDto'
          description: ''
components:
  schemas:
    PageInfo:
      type: object
      properties:
        count:
          type: number
          description: the number of items to return
          default: 10
        page:
          type: number
          description: the page to retrieve
          default: 1
    OrderDto:
      type: object
      properties:
        by:
          type: string
          description: the sort key
        direction:
          type: string
          description: the sort direction
      required:
        - by
        - direction
    MetadataSearch:
      type: object
      properties:
        and:
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        or:
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
    ListClaimsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/ClaimDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    MissingTenantErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - MISSING_TENANT
        message:
          type: string
          example: Missing tenant header
        details:
          $ref: '#/components/schemas/MissingTenantDetailsDto'
      required:
        - code
        - message
        - details
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    ClaimDto:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        description:
          type: string
        occurredAt:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        responsibility:
          type: string
        category:
          type: string
          description: the amount of money that an insurance company sets aside to cover
        reserve:
          type: number
        type:
          type: string
        id:
          type: string
        externalId:
          type: string
      required:
        - metadata
        - occurredAt
        - createdAt
        - type
        - id
        - externalId
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    MissingTenantDetailsDto:
      type: object
      properties: {}
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value

````